{
  "$schema": "https://schemas.wp.org/trunk/block.json",
  "apiVersion": 2,
  "name": "homegrade-content-blocks/labelled-picture",
  "version": "0.1.0",
  "title": "Image + Légende",
  "category": "homegrade-blocks",
  "icon": "smiley",
  "description": "Bloc image contenant une légende autocollante",
  "supports": {
    "html": false
  },
  "textdomain": "homegrade-blocks",
  "editorScript": "file:./index.js",
  "editorStyle": "file:./index.css",
  "style": "file:./style-index.css",
  "attributes": {
    "hasStickyLegend": {
      "type": "boolean",
      "default": "true"
    },
    "legendLocation": {
      "type": "string",
      "default": "after"
    },
    "hasLightbox": {
      "type": "boolean",
      "default": "false"
    },
    "hasRoundedShadow": {
      "type": "boolean",
      "default": "false"
    },
    "hasFixedHeight": {
      "type": "boolean",
      "default": "true"
    },
    "showTitle": {
      "type": "boolean",
      "default": "true"
    },
    "pictureUrl": {
      "type": "string"
    },
    "pictureTitle": {
      "type": "string"
    },
    "pictureAlt": {
      "type": "string"
    },
    "pictureId": {
      "type": "number"
    },
    "pictureCaption": {
      "type": "string"
    }
  }
}